replicaCount: 1
image:
  repository: jeffail/benthos
  pullPolicy: IfNotPresent
  # https://hub.docker.com/r/jeffail/benthos/tags
  tag: '4.24.0'

command: []
args: []

cronjob:
  schedule: "0 */3 * * *"
  suspend: false
  restartPolicy: OnFailure
  concurrencyPolicy: Forbid
  startingDeadlineSeconds: 3600
  # We use lower than default to prevent jobs from
  # hammering the DB too much on error
  backoffLimit: 2
  # Default to timeout of 90 minutes
  activeDeadlineSeconds: 5400

successfulJobsHistoryLimit:
  # -- Enabled: true to configure https://kubernetes.io/docs/concepts/workloads/controllers/cron-jobs/#jobs-history-limits
  enabled: false
  # -- The number of successful jobs to keep, default matches k8s cron-job default
  item: 3

# -- []env just like the PodSpec
env: []
# -- []envFrom just like the PodSpec
envFrom: []

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  create: false
  annotations: {}
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

nodeSelector: {}

tolerations: []

affinity: {}
benthos:
  # https://www.benthos.dev/docs/components/logger/about/#level
  logLevel: INFO

# valid types: splunk|snowflake
outputType: splunk

splunk:
  # -- watch out, this is tied to the HEC token
  # also, be aware that the index can be overriden on a per-table basis in the benthosTables section
  index: open_raven_data_findings
  # sourcetypes must always start with `open_raven_`. It is not currently possible to override this per-table
  sourcetype: open_raven_data_findings

snowflake:
  account: orvn
  user: ~
  privateKeyFile: /secrets/private_key.p8
  role: ~
  warehouse: COMPUTE_WH
  database: ~
  schema: PUBLIC
  secretName: snowflake-key

benthosTables:
- table: issue_assetviolation

- table: v_assetgroups
  jsonb:
  - assets
  - assettypes
  - filtergroups

- table: v_assetviolation
  jsonb: []

- table: v_assetviolation_v2
  schedule: "15 */3 * * *"
  jsonb:
  - externalidentifiers
  - locationblob
  - policyids

- table: v_dataclass
  jsonb: []

- table: v_datacollection
  jsonb: []

- table: v_datacollection_dataclass

- table: v_dmap
  jsonb:
  - dmapmeta
  - dmapnode

- table: v_issues
  schedule: "15 */3 * * *"
  jsonb: []

- table: v_policies
  jsonb: []

- table: v_policy_rule

- table: v_rules

- table: v_scanfinding
  jsonb:
  - externalidentifiers
  - findingsdata
  - findingslocations
  - locationblob

- table: v_scannerjob
  jsonb:
  - datacollections
  - scanrestrictions

- table: v_scannerjobruns
  jsonb: []
- table: v_globalassetscomplete
  jsonb:
  - externalidentifiers
  - discoverymeta
  - deriveddatablob
  - locationblob
  - extendedattributes
  - resourcemetadata
  - dataclassmap
  - datacollectionmap
  - configuration
  - supplementaryconfiguration

# gdrive related views
- table: v_gdriveviolations
  schedule: "15 */3 * * *"
  jsonb:
    - supplementalinformation
  index: gdrive

- table: v_gdrive_dash
  schedule: "45 */3 * * *"
  jsonb:
    - suspiciousemails
    - restrictions
    - rulesviolated
    - allpermissions
    - emaildomains
    - emailusers
    - data_classes
    - data_collections
  index: gdrive

- table: v_gdrive_scanfinding_enriched
  schedule: "30 */3 * * *"
  jsonb:
    - findingslocations
  index: gdrive
